Description

Hi Team,

Need your urgent help on this. I had setup a test Ubuntu machine(14.04) and I had installed Foreman on top of it. I would like to get

the details regarding list of installed packages and list of pending packages by executing the below commands

dpkg -l

apt-get upgrade -s

I would like to have these details in the form of report so that I can access it through foreman console, please let me know the

procedure so that I can modify it accordingly and also please help me on how to setup remote login so that I can do ssh to the

remote machines. Your help will be much appreciated as I am doing a project right now.

Regards,

Kranthi

History

#1 - 07/08/2015 03:27 AM - Dominic Cleal

- Priority changed from Urgent to Normal

Foreman can't really do this, I'd suggest looking for a different tool, maybe a parallel SSH execution one, or MCollective.

#2 - 07/08/2015 03:41 AM - Kranthi Kiran

Hi Dominic cleal,

Noted. Could you also please help me with the below

dpkg -l

apt-get upgrade -s

I would like to have these details in the form of report so that I can access it through foreman console

Regards,

Kranthi

#3 - 07/08/2015 03:47 AM - Dominic Cleal

- Status changed from New to Feedback

"Foreman can't really do this."

You could perhaps create a custom fact (https://docs.puppetlabs.com/facter/latest/custom_facts.html) but I think this would be ill-suited to the job. 

You would be better off with another tool.

#4 - 07/08/2015 04:21 AM - Kranthi Kiran

Hi Dominic,
Ok noted. Thanks for your help and also I had done a fresh installation of foreman 1.8 could you please let me know the list of plugins that support

Ubuntu versions.

So that I can go ahead and install those plugins on Ubuntu based versions.

Regards,

Kranthi

#5 - 07/08/2015 04:22 AM - Dominic Cleal

Any plugin with a "yes" in the "deb" column on this list should be available to you: http://projects.theforeman.org/projects/foreman/wiki/List_of_Plugins

#6 - 07/09/2015 08:36 AM - Kranthi Kiran

Hi Dominic,

I am able to progress something on this

I am able to see package updates but when I open it in a new tab, it doesn't show package updates but when I scroll over the mouse it is showing

pending updates. Could you please help me so that when ever I click on the facts it should package list and it should point to the URL with the

package list.

apt_package_updates     ["initscripts", "apt", "libsystemd-lo...

Regards,

Kranthi

#7 - 05/17/2017 10:38 AM - Anonymous

- Status changed from Feedback to Resolved
